Package com.clickhouse.jdbc.internal

## Class ClickHouseJdbcUrlParser.ConnectionInfo

- java.lang.Object
- - com.clickhouse.jdbc.internal.ClickHouseJdbcUrlParser.ConnectionInfo

Enclosing class:
  ClickHouseJdbcUrlParser

    public static class ClickHouseJdbcUrlParser.ConnectionInfo
    extends Object

### Constructor Summary

Constructors
`protected` `ConnectionInfo​(ClickHouseNodes nodes, Properties props)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClickHouseCredentials` `getDefaultCredentials()`
`JdbcConfig` `getJdbcConfig()`
`Properties` `getProperties()`
`ClickHouseNode` `getServer()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionInfo

    protected ConnectionInfo​(ClickHouseNodes nodes,
                             Properties props)

### Method Detail

#### getDefaultCredentials

    public ClickHouseCredentials getDefaultCredentials()

#### getServer

    public ClickHouseNode getServer()

#### getJdbcConfig

    public JdbcConfig getJdbcConfig()

#### getProperties

    public Properties getProperties()